<?
  include("../fnc.php");
  if(!$_POST[txtusr] or !$_POST[txtclave]){
   alert("Ingrese un usuario y contraseña","frm_login.php");
   exit();
  }
  
  $clave=base64_encode($_POST[txtclave]);

  $qver=mysql_query("select * from usuarios where usuario='$txtusr' and clave='$clave' and admin = 'S'");
  if(mysql_num_rows($qver)==0){
   alert("Usted ingresó un usuario o clave incorrecta,\\npor favor intente de nuevo","javascript:history.go(-1)");
  }

  $info=mysql_fetch_array($qver);

  //$sid=$rmhost.":".$clave;
  session_start();
  $sid=session_id();
//  echo $sid;
  $del_sesion=mysql_query("delete from sesion where sesion = '$sid'");
  $info[usuario]=base64_encode($info[usuario]);

  $sql="insert into sesion
        set sesion='$sid',
        usuario='{$info[usuario]}',
        nombre='{$info[nombre]}',
        apellido='{$info[apellido]}',
        fecha='$fecha',
        hora='$hora',
        clave='$clave',
        ip='$rmhost',
        tipo='Admin',
        mail='{$info[mail]}'";

  $ins=mysql_query($sql);

  if($ins){
   acceso(base64_decode($info[usuario]),"Login","Login","Admin");
   alert("Bienvenid@:\\n{$info[nombre]} {$info[apellido]}","inicio.php");
  }  else{
   echo mysql_error();
  }
?>
